summaryrefslogtreecommitdiffstats
path: root/dvm/2547/testcase
diff options
context:
space:
mode:
Diffstat (limited to 'dvm/2547/testcase')
-rwxr-xr-xdvm/2547/testcase32
1 files changed, 32 insertions, 0 deletions
diff --git a/dvm/2547/testcase b/dvm/2547/testcase
new file mode 100755
index 0000000..03f7d73
--- /dev/null
+++ b/dvm/2547/testcase
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+VOLNAME="vol$global_bug_id";
+
+$GLUSTERFSDIR/gluster volume create $VOLNAME $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $VOLNAME 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume rebalance $VOLNAME start 2>/dev/null 1>/dev/null;
+if [ $? -ne 0 ]; then
+ exit 22;
+fi
+
+sleep 10;
+
+$GLUSTERFSDIR/gluster volume rebalance $VOLNAME fix-layout start 2>/dev/null 1>/dev/null;
+if [ $? -ne 0 ]; then
+ exit 22;
+fi
+
+sleep 10;
+
+$GLUSTERFSDIR/gluster volume rebalance $VOLNAME migrate-data start 2>/dev/null 1>/dev/null;
+if [ $? -ne 0 ]; then
+ exit 22;
+fi
+
+sleep 10;
+
+exit $?;